View Issue Details

IDProjectCategoryView StatusLast Update
0004816unrealircdpublic2016-12-27 20:26
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.10 
Summary0004816: +D bugs
DescriptionThere seem to be a few bugs in the delayjoin module.

One is a join for people who have not spoken (see Additional Information below, though I guess it's from the wrong perspective [user himself])

Another one is you see QUIT's for people who have not JOIN'ed. I think this latter is simply not handled by +D in a special way at all, it will always send QUIT's for everyone. It would have to track a new property "has user X seen user Y in any channel". That would be fun.
Additional Information[2016/12/18 - 4:39:24PM] * Adam (Adam@Clk-988B61E.info) has joined #unreal-devel
[2016/12/18 - 4:39:24PM] <Adam> I guess +D is what is going on with my client, but irssi keeps complaining about it getting quits from this network for clients that arent in any common channels, and it doesnt like it
[2016/12/18 - 6:07:41PM] * Cronus (~Cronus@Clk-9CB1C353.cronus89.com) has joined #unreal-devel
[2016/12/18 - 6:07:41PM] <Cronus> shame
[2016/12/18 - 7:07:23PM] * KindOne (kindone@Clk-3A8AC41B.dynamic.ip.windstream.net) has joined #unreal-devel
[2016/12/18 - 8:26:54PM] * Jobe (Jobe@Clk-3DBD1135.mdbnet.net) has joined #unreal-devel
[2016/12/18 - 8:26:54PM] <Jobe> Adam, sounds like a bug to me
[2016/12/18 - 8:27:17PM] <Jobe> with +D you should only see PART/KICK/QUIT for users who youve seen in the NAMES replies or have received a JOIN for
[2016/12/18 - 8:29:47PM] <Adam> of course
[2016/12/18 - 8:31:57PM] <Erik> hrm
[2016/12/18 - 8:32:09PM] <Erik> i see adam's join right before he spoke, same with you Jobe
[2016/12/18 - 8:32:19PM] <Erik> but i see a join for KindOne but he hasnt spoken
[2016/12/18 - 8:32:39PM] * KindOne (kindone@Clk-3A8AC41B.dynamic.ip.windstream.net) has joined #unreal-devel
[2016/12/18 - 8:32:39PM] <KindOne> wat
TagsNo tags attached.
3rd party modules

Activities

syzop

2016-12-22 09:14

administrator   ~0019562

Adam made a pull request https://github.com/unrealircd/unrealircd/pull/65
Unfortunately he did not mention what he fixed exactly ("make it not send garbage at clients"). He also did not mention what he didn't fix ("it still doesn't really work").

syzop

2016-12-27 20:26

administrator   ~0019572

https://github.com/unrealircd/unrealircd/commit/70a6d8be943818c85b95d3d0da3f5d2c1211ca55
https://github.com/unrealircd/unrealircd/commit/99e087d50c9d9fd5aa1add293faa153313f8f81f
https://github.com/unrealircd/unrealircd/commit/5ac4125c6f3957e77789647ed8a27df18f8625a7
https://github.com/unrealircd/unrealircd/commit/1f1ac6c4eed3c6946fcfb8f0423162e151448d1a

Mode +D should be OK now. If not, please report!

Issue History

Date Modified Username Field Change
2016-12-19 10:36 syzop New Issue
2016-12-19 10:36 syzop Status new => confirmed
2016-12-19 10:37 syzop Description Updated View Revisions
2016-12-22 09:14 syzop Note Added: 0019562
2016-12-27 20:26 syzop Assigned To => syzop
2016-12-27 20:26 syzop Status confirmed => resolved
2016-12-27 20:26 syzop Resolution open => fixed
2016-12-27 20:26 syzop Fixed in Version => 4.0.10
2016-12-27 20:26 syzop Note Added: 0019572